<?php 



class DaoSobre extends conexao {

public function Atualizar(sobre $sobre) {

try {

if ($sobre->getSob_id() != '') {

$sql = " UPDATE sobre SET
sob_titulo = ?,
sob_descricao = ?,
sob_imagem = ?,
sob_missao = ?,
sob_visao = ?,
sob_fundador = ?
WHERE sob_id = ? ";

$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $sobre->getSob_titulo());
$stmt->bindValue(2, $sobre->getSob_descricao());
$stmt->bindValue(3, $sobre->getSob_imagem());
$stmt->bindValue(4, $sobre->getSob_missao());
$stmt->bindValue(5, $sobre->getSob_visao());
$stmt->bindValue(6, $sobre->getSob_fundador());
$stmt->bindValue(7, $sobre->getSob_id());


} else {

$sql = " INSERT INTO sobre (sob_titulo,sob_descricao,sob_imagem,sob_missao, sob_visao, sob_fundador)
VALUES (?,?,?)";


$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $sobre->getSob_titulo());
$stmt->bindValue(2, $sobre->getSob_descricao());
$stmt->bindValue(3, $sobre->getSob_imagem());
$stmt->bindValue(4, $sobre->getSob_missao());
$stmt->bindValue(5, $sobre->getSob_visao());
$stmt->bindValue(6, $sobre->getSob_fundador());


}
if ($stmt->execute()){
return true;
} else
return false;

} catch (Exception $e) {
print "Erro ao tentar atualizar: ".$e;
}

}

public function PesquisarSobre($codigo){
$sql = " SELECT * FROM sobre WHERE sob_id = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $codigo);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}

public function ListarSobre(){
$sql = " SELECT * FROM sobre ORDER BY sob_id ";
$stmt = self::conectar()->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}


	
public function deletar($sob_id){		
$sql = " DELETE FROM sobre WHERE sob_id = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $sob_id); 
$stmt->execute();
}

 
}
